com.jnape.palatable.lambda.functions.builtin.fn6

## Class LiftA5<A,B,C,D,E,F,App extends Applicative<?,App>,AppF extends Applicative<F,App>>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn6.LiftA5<A,B,C,D,E,F,App,AppF>

- Type Parameters:
    `A` - the function's first argument type
    `B` - the function's second argument type
    `C` - the function's third argument type
    `D` - the function's fourth argument type
    `E` - the function's fifth argument type
    `F` - the function's return type
    `App` - the applicative witness
    `AppF` - the inferred applicative return type
  All Implemented Interfaces:
    Fn1<Fn5<A,B,C,D,E,F>,Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,AppF>>>>>>, Fn2<Fn5<A,B,C,D,E,F>,Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,AppF>>>>>, Fn3<Fn5<A,B,C,D,E,F>,Applicative<A,App>,Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,AppF>>>>, Fn4<Fn5<A,B,C,D,E,F>,Applicative<A,App>,Applicative<B,App>,Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,AppF>>>, Fn5<Fn5<A,B,C,D,E,F>,Applicative<A,App>,Applicative<B,App>,Applicative<C,App>,Applicative<D,App>,Fn1<Applicative<E,App>,AppF>>, Fn6<Fn5<A,B,C,D,E,F>,Applicative<A,App>,Applicative<B,App>,Applicative<C,App>,Applicative<D,App>,Applicative<E,App>,AppF>, Applicative<Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,AppF>>>>>,Fn1<Fn5<A,B,C,D,E,F>,?>>, Cartesian<Fn5<A,B,C,D,E,F>,Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,AppF>>>>>,Fn1<?,?>>, Cocartesian<Fn5<A,B,C,D,E,F>,Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,AppF>>>>>,Fn1<?,?>>, Contravariant<Fn5<A,B,C,D,E,F>,Profunctor<?,Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,AppF>>>>>,Fn1<?,?>>>, Functor<Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,AppF>>>>>,Fn1<Fn5<A,B,C,D,E,F>,?>>, Profunctor<Fn5<A,B,C,D,E,F>,Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,AppF>>>>>,Fn1<?,?>>, Monad<Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,AppF>>>>>,Fn1<Fn5<A,B,C,D,E,F>,?>>, MonadReader<Fn5<A,B,C,D,E,F>,Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,AppF>>>>>,Fn1<Fn5<A,B,C,D,E,F>,?>>, MonadRec<Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,AppF>>>>>,Fn1<Fn5<A,B,C,D,E,F>,?>>, MonadWriter<Fn5<A,B,C,D,E,F>,Fn1<Applicative<A,App>,Fn1<Applicative<B,App>,Fn1<Applicative<C,App>,Fn1<Applicative<D,App>,Fn1<Applicative<E,App>,AppF>>>>>,Fn1<Fn5<A,B,C,D,E,F>,?>>

      public final class LiftA5<A,B,C,D,E,F,App extends Applicative<?,App>,AppF extends Applicative<F,App>>
      extends Object
      implements Fn6<Fn5<A,B,C,D,E,F>,Applicative<A,App>,Applicative<B,App>,Applicative<C,App>,Applicative<D,App>,Applicative<E,App>,AppF>

  Lift into and apply an `Fn5` to five `Applicative` values, returning the result inside the same `Applicative` context.
  See Also:
    `Applicative.zip(Applicative)`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppF` | `checkedApply(Fn5<A,B,C,D,E,F> fn, Applicative<A,App> appA, Applicative<B,App> appB, Applicative<C,App> appC, Applicative<D,App> appD, Applicative<E,App> appE)`
    `static <A,B,C,D,E,F,App extends Applicative<?,App>,AppF extends Applicative<F,App>> LiftA5<A,B,C,D,E,F,App,AppF>` | `liftA5()`
    `static <A,B,C,D,E,F,App extends Applicative<?,App>,AppF extends Applicative<F,App>> Fn5<Applicative<A,App>,Applicative<B,App>,Applicative<C,App>,Applicative<D,App>,Applicative<E,App>,AppF>` | `liftA5(Fn5<A,B,C,D,E,F> fn)`
    `static <A,B,C,D,E,F,App extends Applicative<?,App>,AppF extends Applicative<F,App>> Fn4<Applicative<B,App>,Applicative<C,App>,Applicative<D,App>,Applicative<E,App>,AppF>` | `liftA5(Fn5<A,B,C,D,E,F> fn, Applicative<A,App> appA)`
    `static <A,B,C,D,E,F,App extends Applicative<?,App>,AppF extends Applicative<F,App>> Fn3<Applicative<C,App>,Applicative<D,App>,Applicative<E,App>,AppF>` | `liftA5(Fn5<A,B,C,D,E,F> fn, Applicative<A,App> appA, Applicative<B,App> appB)`
    `static <A,B,C,D,E,F,App extends Applicative<?,App>,AppF extends Applicative<F,App>> Fn2<Applicative<D,App>,Applicative<E,App>,AppF>` | `liftA5(Fn5<A,B,C,D,E,F> fn, Applicative<A,App> appA, Applicative<B,App> appB, Applicative<C,App> appC)`
    `static <A,B,C,D,E,F,App extends Applicative<?,App>,AppF extends Applicative<F,App>> Fn1<Applicative<E,App>,AppF>` | `liftA5(Fn5<A,B,C,D,E,F> fn, Applicative<A,App> appA, Applicative<B,App> appB, Applicative<C,App> appC, Applicative<D,App> appD)`
    `static <A,B,C,D,E,F,App extends Applicative<?,App>,AppF extends Applicative<F,App>> AppF` | `liftA5(Fn5<A,B,C,D,E,F> fn, Applicative<A,App> appA, Applicative<B,App> appB, Applicative<C,App> appC, Applicative<D,App> appD, Applicative<E,App> appE)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn6

      `apply, apply, apply, apply, apply, apply, checkedApply, compose, contraMap, diMapL, discardR, flip, fn6, fn6, fn6, fn6, fn6, fn6, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn5

      `checkedApply, fn5, fn5, fn5, fn5, fn5`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn4

      `checkedApply, fn4, fn4, fn4, fn4`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn3

      `checkedApply, fn3, fn3, fn3`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `checkedApply, curried, curry, fn2, fromBiFunction, toBiFunction`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### checkedApply

          public AppF checkedApply(Fn5<A,B,C,D,E,F> fn,
                                   Applicative<A,App> appA,
                                   Applicative<B,App> appB,
                                   Applicative<C,App> appC,
                                   Applicative<D,App> appD,
                                   Applicative<E,App> appE)

      Specified by:
        `checkedApply` in interface `Fn6<Fn5<A,B,C,D,E,F>,Applicative<A,App extends Applicative<?,App>>,Applicative<B,App extends Applicative<?,App>>,Applicative<C,App extends Applicative<?,App>>,Applicative<D,App extends Applicative<?,App>>,Applicative<E,App extends Applicative<?,App>>,AppF extends Applicative<F,App>>`

    - #### liftA5

          public static <A,B,C,D,E,F,App extends Applicative<?,App>,AppF extends Applicative<F,App>> LiftA5<A,B,C,D,E,F,App,AppF> liftA5()

    - #### liftA5

          public static <A,B,C,D,E,F,App extends Applicative<?,App>,AppF extends Applicative<F,App>> Fn5<Applicative<A,App>,Applicative<B,App>,Applicative<C,App>,Applicative<D,App>,Applicative<E,App>,AppF> liftA5(Fn5<A,B,C,D,E,F> fn)

    - #### liftA5

          public static <A,B,C,D,E,F,App extends Applicative<?,App>,AppF extends Applicative<F,App>> Fn4<Applicative<B,App>,Applicative<C,App>,Applicative<D,App>,Applicative<E,App>,AppF> liftA5(Fn5<A,B,C,D,E,F> fn,
                                                                                                                                                                                                  Applicative<A,App> appA)

    - #### liftA5

          public static <A,B,C,D,E,F,App extends Applicative<?,App>,AppF extends Applicative<F,App>> Fn3<Applicative<C,App>,Applicative<D,App>,Applicative<E,App>,AppF> liftA5(Fn5<A,B,C,D,E,F> fn,
                                                                                                                                                                               Applicative<A,App> appA,
                                                                                                                                                                               Applicative<B,App> appB)

    - #### liftA5

          public static <A,B,C,D,E,F,App extends Applicative<?,App>,AppF extends Applicative<F,App>> Fn2<Applicative<D,App>,Applicative<E,App>,AppF> liftA5(Fn5<A,B,C,D,E,F> fn,
                                                                                                                                                            Applicative<A,App> appA,
                                                                                                                                                            Applicative<B,App> appB,
                                                                                                                                                            Applicative<C,App> appC)

    - #### liftA5

          public static <A,B,C,D,E,F,App extends Applicative<?,App>,AppF extends Applicative<F,App>> Fn1<Applicative<E,App>,AppF> liftA5(Fn5<A,B,C,D,E,F> fn,
                                                                                                                                         Applicative<A,App> appA,
                                                                                                                                         Applicative<B,App> appB,
                                                                                                                                         Applicative<C,App> appC,
                                                                                                                                         Applicative<D,App> appD)

    - #### liftA5

          public static <A,B,C,D,E,F,App extends Applicative<?,App>,AppF extends Applicative<F,App>> AppF liftA5(Fn5<A,B,C,D,E,F> fn,
                                                                                                                 Applicative<A,App> appA,
                                                                                                                 Applicative<B,App> appB,
                                                                                                                 Applicative<C,App> appC,
                                                                                                                 Applicative<D,App> appD,
                                                                                                                 Applicative<E,App> appE)